{
    "$graph": [
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "touch"
            ],
            "inputs": [],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "readme.txt"
                }
            ],
            "id": "#create_readme.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "readme.txt"
                    },
                    "id": "#create_readme.cwl/readme_file"
                }
            ]
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#main/link_to_publication"
                },
                {
                    "type": "string",
                    "id": "#main/organization"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/tree"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/url_cds_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/url_genomic_gff"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/url_protein_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/url_transcript_fasta"
                }
            ],
            "steps": [
                {
                    "run": "#create_readme.cwl",
                    "in": [],
                    "out": [
                        "#main/create_readme/readme_file"
                    ],
                    "id": "#main/create_readme"
                },
                {
                    "run": "#writeFirstLine.cwl",
                    "in": [
                        {
                            "source": "#main/organization",
                            "id": "#main/writeFirstLine/organization"
                        },
                        {
                            "source": "#main/create_readme/readme_file",
                            "id": "#main/writeFirstLine/readme_file"
                        }
                    ],
                    "out": [
                        "#main/writeFirstLine/out_readme_file"
                    ],
                    "id": "#main/writeFirstLine"
                },
                {
                    "run": "#writeInfo-genePred.cwl",
                    "in": [
                        {
                            "source": "#main/writeURL-protein/out_dummy",
                            "id": "#main/writeInfo/in_dummy"
                        },
                        {
                            "source": "#main/link_to_publication",
                            "id": "#main/writeInfo/link_to_publication"
                        },
                        {
                            "source": "#main/writeURL-transcript/out_readme_file",
                            "id": "#main/writeInfo/readme_file"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/writeInfo/tree"
                        }
                    ],
                    "out": [
                        "#main/writeInfo/out_readme_file"
                    ],
                    "id": "#main/writeInfo"
                },
                {
                    "run": "#writeLastLine-genePred.cwl",
                    "in": [
                        {
                            "source": "#main/writeInfo/out_readme_file",
                            "id": "#main/writeLastLine/readme_file"
                        }
                    ],
                    "out": [
                        "#main/writeLastLine/out_readme_file"
                    ],
                    "id": "#main/writeLastLine"
                },
                {
                    "run": "#writeURL.cwl",
                    "in": [
                        {
                            "source": "#main/writeURL-gff/out_readme_file",
                            "id": "#main/writeURL-cds/readme_file"
                        },
                        {
                            "source": "#main/url_cds_fasta",
                            "id": "#main/writeURL-cds/url"
                        }
                    ],
                    "out": [
                        "#main/writeURL-cds/out_readme_file"
                    ],
                    "id": "#main/writeURL-cds"
                },
                {
                    "run": "#writeURL.cwl",
                    "in": [
                        {
                            "source": "#main/writeFirstLine/out_readme_file",
                            "id": "#main/writeURL-gff/readme_file"
                        },
                        {
                            "source": "#main/url_genomic_gff",
                            "id": "#main/writeURL-gff/url"
                        }
                    ],
                    "out": [
                        "#main/writeURL-gff/out_readme_file"
                    ],
                    "id": "#main/writeURL-gff"
                },
                {
                    "run": "#writeURL-protein.cwl",
                    "scatter": "#main/writeURL-protein/url",
                    "in": [
                        {
                            "source": "#main/writeURL-transcript/out_readme_file",
                            "id": "#main/writeURL-protein/readme_file"
                        },
                        {
                            "source": "#main/url_protein_fasta",
                            "id": "#main/writeURL-protein/url"
                        }
                    ],
                    "out": [
                        "#main/writeURL-protein/out_dummy"
                    ],
                    "id": "#main/writeURL-protein"
                },
                {
                    "run": "#writeURL.cwl",
                    "in": [
                        {
                            "source": "#main/writeURL-cds/out_readme_file",
                            "id": "#main/writeURL-transcript/readme_file"
                        },
                        {
                            "source": "#main/url_transcript_fasta",
                            "id": "#main/writeURL-transcript/url"
                        }
                    ],
                    "out": [
                        "#main/writeURL-transcript/out_readme_file"
                    ],
                    "id": "#main/writeURL-transcript"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/create_readme/readme_file",
                    "id": "#main/readme_file"
                }
            ],
            "id": "#main"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "bash",
                "-c"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.readme_file)]; return LIST; }"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#writeFirstLine.cwl/organization"
                },
                {
                    "type": "File",
                    "id": "#writeFirstLine.cwl/readme_file"
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "echo 'The following files were retrieved from $(inputs.organization) on ${var A = new Date(); var year = A.getFullYear(); var month = A.getMonth()+1; var day = A.getDate(); var date = year + '-' + day + '-' + month;  return date;}:' > readme.txt"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "readme.txt"
                    },
                    "id": "#writeFirstLine.cwl/out_readme_file"
                }
            ],
            "id": "#writeFirstLine.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "bash",
                "-c"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.readme_file)]; return LIST; }"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#writeInfo-genePred.cwl/in_dummy"
                },
                {
                    "type": "string",
                    "id": "#writeInfo-genePred.cwl/link_to_publication"
                },
                {
                    "type": "File",
                    "id": "#writeInfo-genePred.cwl/readme_file"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeInfo-genePred.cwl/tree"
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "echo -e '\nInformation about this dataset can be found here: https://i5k.nal.usda.gov/content/ncbi-${ var A = inputs.tree[2].toLowerCase().replace(/_/g, '-'); return A; }\nInformation about the publication of this dataset can be found here: $(inputs.link_to_publication)' >> readme.txt"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "readme.txt"
                    },
                    "id": "#writeInfo-genePred.cwl/out_readme_file"
                }
            ],
            "id": "#writeInfo-genePred.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "bash",
                "-c"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.readme_file)]; return LIST; }"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#writeLastLine-genePred.cwl/readme_file"
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "echo -e '\nThe file was post-processed to [describe post-processing, if any]. The resulting file is: [Filename]. This file was used for the JBrowse genome browser and the Apollo manual curation tool.' >> readme.txt"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "readme.txt"
                    },
                    "id": "#writeLastLine-genePred.cwl/out_readme_file"
                }
            ],
            "id": "#writeLastLine-genePred.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "bash",
                "-c"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.readme_file)]; return LIST; }"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#writeURL-protein.cwl/readme_file"
                },
                {
                    "type": "string",
                    "id": "#writeURL-protein.cwl/url"
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "echo '$(inputs.url)' >> readme.txt"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#writeURL-protein.cwl/out_dummy",
                    "outputBinding": {
                        "glob": "url-protein.dummy"
                    }
                }
            ],
            "stdout": "url-protein.dummy",
            "id": "#writeURL-protein.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "bash",
                "-c"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.readme_file)]; return LIST; }"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#writeURL.cwl/readme_file"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeURL.cwl/url"
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "echo '$(inputs.url[0])' >> readme.txt"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "readme.txt"
                    },
                    "id": "#writeURL.cwl/out_readme_file"
                }
            ],
            "id": "#writeURL.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
